com.google.gwt.user.server.rpc

## Interface SerializationPolicyProvider

All Known Implementing Classes:
  AbstractXsrfProtectedServiceServlet, RemoteLoggingServiceImpl, RemoteServiceServlet, XsrfProtectedServiceServlet, XsrfTokenServiceServlet

    public interface SerializationPolicyProvider

Used to obtain a `SerializationPolicy` for a given module base URL and serialization policy strong name.

### Method Summary

All Methods Instance Methods Abstract Methods
`SerializationPolicy` `getSerializationPolicy(java.lang.String moduleBaseURL, java.lang.String serializationPolicyStrongName)` Returns a `SerializationPolicy` for a given module base URL and serialization policy strong name.

### Method Detail

#### getSerializationPolicy

    SerializationPolicy getSerializationPolicy(java.lang.String moduleBaseURL,
                                               java.lang.String serializationPolicyStrongName)

Returns a `SerializationPolicy` for a given module base URL and serialization policy strong name.

Parameters:
  `moduleBaseURL` - the URL for the module
  `serializationPolicyStrongName` - strong name of the serialization policy for the specified module URL
Returns:
  a `SerializationPolicy` for a given module base URL and RPC strong name; must not return `null`